// @ts-check
import { defineConfig } from 'astro/config';
import tailwindcss from '@tailwindcss/vite';
import node from '@astrojs/node';
import mdx from '@astrojs/mdx';
import icon from "astro-icon";
import sitemap from '@astrojs/sitemap';

// https://astro.build/config
export default defineConfig({
  site: 'https://avtourist-surgut.ru',
  integrations: [mdx(), icon(), sitemap({
    filter: (page) => {
      const blockedPaths = ['/auth/', '/blog/search', '/404'];
      return !blockedPaths.some(path => page.includes(path));
    },
  })],
  vite: {
    plugins: [tailwindcss()],
  },
  output: 'server',
  adapter: node({ mode: 'standalone' }),
});